#!/bin/bash
#

#
# Type of installation
export CARRIER=false
export PRO=false
export CE=true
#
# AUTODETECT - if set true, ngcp-initial-configuration collects the current network information and
# writes it to network.yml. If you want to use different network configuration than the current one -
# change it to false.
export AUTODETECT=true
# ADJUST_FOR_LOW_PERFORMANCE - if set true, some options will be set to predefined values for the
# system with low performance.
export ADJUST_FOR_LOW_PERFORMANCE=false
# DEBUG_MODE - enable bash trace to print and log all executed commands.
export DEBUG_MODE=false
# DHCP - Currently, not used.
export DHCP=false
# EADDR - the IP address that is assigned to the EXTERNAL_DEV interface.
export EADDR=192.168.1.10
# ENABLE_VM_SERVICES - if set true, some options will be set to predefined values for the
# virtualized systems. The most important option is 'general.production=no'
export ENABLE_VM_SERVICES=false
# EXTERNAL_DEV - the name of a network device used in the bond interface for Carrier or for
# the external network.
export EXTERNAL_DEV=eth0
# EXTERNAL_NETMASK - the netmask for the EXTERNAL_DEV interface.
export EXTERNAL_NETMASK=255.255.255.0
# FORCE - if set true, the script will force all answers to 'yes'.
export FORCE=false
# GW - the default gateway assigned to the EXTERNAL_DEV interface.
export GW=192.168.1.1
# NAMESERVER - the list of nameservers which are added to the network.yml.
export NAMESERVER="$(awk '/^nameserver/ {print $2}' /etc/resolv.conf)"
# NGCP_PPA - the list of PPAs to be added.
export NGCP_PPA=''
# NGCPUPLOAD - if set true, ngcp-prepare-translations is run in the end of configuration.
export NGCPUPLOAD=false
# ORIGIN_INSTALL_DEV - the name of the network device that was used to download packages. It is unset
# before restarting the network with /e/n/i configured by ngcpcfg.
export ORIGIN_INSTALL_DEV=eth0
# SIPWISE_URL - the URL of the repo with all Sipwise packages.
export SIPWISE_URL='https://deb.sipwise.com'
# FALLBACKFS_SIZE - the size of the ngcp-fallback partition.
export FALLBACKFS_SIZE='10G'
# ROOTFS_SIZE - the size of the ngcp-root partition.
export ROOTFS_SIZE='10G'
# SWAPFILE_SIZE_MB - the size of the swapfile. 0 means to not create it.
export SWAPFILE_SIZE_MB=0M
# DEPLOYMENT_SH - it shows if the system was installed from deployment.sh. If set true, do not print
# a warning that ngcp-installer should not be run on a shared system. CE only.
export DEPLOYMENT_SH=false
# STATUS_WAIT_SECONDS - wait the specified number of seconds before ending process so any external
# system can get the status of configuration.
export STATUS_WAIT_SECONDS=10
# NGCP_INSTALLER - it shows that it's installation/configuration process for some ngcpcfg *.services
# there are some tricks if *.services file is run from configurator or a common ngcpcfg apply
export NGCP_INSTALLER=true
# GCLOUD - it shows if configuration is run in GCloud. In this case the
# specific network setup is used for Carrier
export GCLOUD=false
